public class ContaPontos implements Corrente {
	Corrente sucessor = new ContaLetras('a');
	String texto = "";
	int pontos = 0;
	public String getDados() {
		return texto + "\n" + sucessor.getDados();
	}
	public void processar(char[] dados) {
		for (int i = 0; i < dados.length; i++) {
			if (dados[i] == '.') {
				++pontos;
			}
		}
		texto = "Pontos: " + pontos;
		sucessor.processar(dados);
	}
}
